aboutsummaryrefslogtreecommitdiffstats
path: root/plugins/thumb
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/thumb')
-rwxr-xr-xplugins/thumb17
1 files changed, 17 insertions, 0 deletions
diff --git a/plugins/thumb b/plugins/thumb
new file mode 100755
index 0000000..10bb651
--- /dev/null
+++ b/plugins/thumb
@@ -0,0 +1,17 @@
+#!/usr/bin/env sh
+
+# Description: View thumbnail of an image or a directory of images with lsix
+#
+# Shell: POSIX compliant
+# Author: Arun Prakash Jana
+
+if ! [ -z "$1" ]; then
+ if [ -d "$1" ]; then
+ lsix "$1"/*
+ else
+ lsix "$1"
+ fi
+
+ echo -n "Press any key to exit..."
+ read dummy
+fi